> ## Documentation Index
> Fetch the complete documentation index at: https://narev.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List models

> Returns all available models with their provider.



## OpenAPI

````yaml platform/api-reference/openapi.json GET /v1/reference/models
openapi: 3.0.0
info:
  title: Models Pricing API
  version: 1.0.0
servers:
  - url: https://api.narev.ai
security: []
paths:
  /v1/reference/models:
    get:
      tags:
        - Reference
      summary: List models
      description: Returns all available models with their provider.
      parameters:
        - schema:
            type: string
            description: Comma-separated list of provider IDs to filter by.
            example: openai,anthropic
            x-default: openai,anthropic
          required: false
          name: provider_id
          in: query
        - schema:
            type: integer
            minimum: 1
            default: 1
            example: 1
            x-default: 1
          required: false
          name: page
          in: query
        - schema:
            type: integer
            minimum: 1
            maximum: 1000
            default: 100
            example: 100
            x-default: 100
          required: false
          name: page_size
          in: query
      responses:
        '200':
          description: List of models.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ModelsResponse'
components:
  schemas:
    ModelsResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/ModelRef'
        meta:
          $ref: '#/components/schemas/PaginationMeta'
      required:
        - data
        - meta
    ModelRef:
      type: object
      properties:
        provider_id:
          type: string
        model_id:
          type: string
      required:
        - provider_id
        - model_id
    PaginationMeta:
      type: object
      properties:
        page:
          type: integer
        page_size:
          type: integer
        total:
          type: integer
        total_pages:
          type: integer
      required:
        - page
        - page_size
        - total
        - total_pages

````